## r-cran-units 0.6

=== DESCRIPTION ===
Package: units
Version: 0.6-7
Title: Measurement Units for R Vectors
Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"), email = "edzer.pebesma@uni-muenster.de", comment = c(ORCID = "0000-0001-8049-7069")),
		person("Thomas", "Mailund", role = "aut", email = "mailund@birc.au.dk"),
		person("Tomasz", "Kalinowski", role = "aut"),
		person("James", "Hiebert", role = "ctb"),
		person("Iñaki", "Ucar", role = "ctb", email = "iucar@fedoraproject.org", comment = c(ORCID = "0000-0001-6403-5550"))
		)
Depends: R (>= 3.0.2)
Imports: Rcpp
LinkingTo: Rcpp (>= 0.12.10)
Suggests: udunits2, NISTunits, measurements, xml2, magrittr, pillar (>=
        1.3.0), dplyr (>= 1.0.0), vctrs (>= 0.3.1), knitr, testthat,
        ggforce, rmarkdown
VignetteBuilder: knitr
Description: Support for measurement units in R vectors, matrices
	and arrays: automatic propagation, conversion, derivation
	and simplification of units; raising errors in case of unit
	incompatibility. Compatible with the POSIXct, Date and difftime 
	classes. Uses the UNIDATA udunits library and unit database for 
	unit compatibility checking and conversion.
	Documentation about 'units' is provided in the paper by Pebesma, Mailund &
  Hiebert (2016, <doi:10.32614/RJ-2016-061>), included in this package as a
  vignette; see 'citation("units")' for details.
SystemRequirements: udunits-2
License: GPL-2
URL: https://github.com/r-quantities/units/
BugReports: https://github.com/r-quantities/units/issues/
RoxygenNote: 7.1.0
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2020-06-11 11:45:34 UTC; edzer
Author: Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
  Thomas Mailund [aut],
  Tomasz Kalinowski [aut],
  James Hiebert [ctb],
  Iñaki Ucar [ctb] (<https://orcid.org/0000-0001-6403-5550>)
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Repository: CRAN
Date/Publication: 2020-06-13 15:30:02 UTC

## r-cran-units 0.6-0

=== debian/changelog ===
r-cran-units (0.6-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.0
  * Build-Depends: libudunits2-dev
  * Architecture: any

 -- Andreas Tille <tille@debian.org>  Tue, 14 Aug 2018 09:09:39 +0200

r-cran-units (0.5-1-1) unstable; urgency=medium

  * Initial release (closes: #899431)

 -- Andreas Tille <tille@debian.org>  Thu, 24 May 2018 09:04:42 +0200

=== debian/control ===
Source: r-cran-units
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               libudunits2-dev
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-units
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-units.git
Homepage: https://cran.r-project.org/package=units

Package: r-cran-units
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Measurement Units for R Vectors
 Support for measurement units in R vectors, matrices
 and arrays: automatic propagation, conversion, derivation
 and simplification of units; raising errors in case of unit
 incompatibility. Compatible with the POSIXct, Date and difftime
 classes. Uses the UNIDATA udunits library and unit database for
 unit compatibility checking and conversion.

## r-cran-units 0.6-2

=== debian/changelog ===
r-cran-units (0.6-2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Sat, 11 May 2019 23:25:20 +0200

r-cran-units (0.6-2-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version

  [ Dylan Aïssi ]
  * Add r-cran-xml2 to Test-Deps.
  * Add patch to skip a failing test.
  * Standards-Version: 4.3.0
  * Debhelper 12.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 19 Jan 2019 16:38:43 +0100

r-cran-units (0.6-1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Fri, 28 Sep 2018 19:14:29 +0200

r-cran-units (0.6-0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Versioned Build-Depends: r-cran-rcpp (>= 0.12.18-1~)

 -- Andreas Tille <tille@debian.org>  Tue, 28 Aug 2018 14:21:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
-               r-cran-rcpp,
+               r-cran-rcpp (>= 0.12.18-1~),
                libudunits2-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-units
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-units.git
 Homepage: https://cran.r-project.org/package=units

## r-cran-units 0.6-3

=== debian/changelog ===
r-cran-units (0.6-3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jul 2019 20:52:03 +0200

## r-cran-units 0.6-5

=== debian/changelog ===
r-cran-units (0.6-5-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:48 +0100

r-cran-units (0.6-5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1

 -- Andreas Tille <tille@debian.org>  Fri, 11 Oct 2019 11:14:52 +0200

r-cran-units (0.6-4-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Fri, 06 Sep 2019 12:00:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 0.12.18-1~),
+               r-cran-rcpp,
                libudunits2-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-units
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-units.git
 Homepage: https://cran.r-project.org/package=units

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-xml2
Restrictions: allow-stderr

## r-cran-units 0.6-6

=== debian/changelog ===
r-cran-units (0.6-6-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 16:50:19 +0000

r-cran-units (0.6-6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 20 Mar 2020 10:45:07 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
                r-base-dev,
                r-cran-rcpp,
                libudunits2-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-units
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-units.git
 Homepage: https://cran.r-project.org/package=units
+Rules-Requires-Root: no
 
 Package: r-cran-units
 Architecture: any

## r-cran-units 0.6-7

=== debian/changelog ===
r-cran-units (0.6-7-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 08 Sep 2020 14:58:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/units_([-\d.]*)\.tar\.gz

## r-cran-units 0.8

=== DESCRIPTION ===
Package: units
Version: 0.8-7
Title: Measurement Units for R Vectors
Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"), email = "edzer.pebesma@uni-muenster.de", comment = c(ORCID = "0000-0001-8049-7069")),
    person("Thomas", "Mailund", role = "aut", email = "mailund@birc.au.dk"),
    person("Tomasz", "Kalinowski", role = "aut"),
    person("James", "Hiebert", role = "ctb"),
    person("Iñaki", "Ucar", role = "aut", email = "iucar@fedoraproject.org", comment = c(ORCID = "0000-0001-6403-5550")),
    person("Thomas Lin", "Pedersen", role = "ctb")
    )
Depends: R (>= 3.0.2)
Imports: Rcpp
LinkingTo: Rcpp (>= 0.12.10)
Suggests: NISTunits, measurements, xml2, magrittr, pillar (>= 1.3.0),
        dplyr (>= 1.0.0), vctrs (>= 0.3.1), ggplot2 (> 3.2.1), testthat
        (>= 3.0.0), vdiffr, knitr, rvest, rmarkdown
VignetteBuilder: knitr
Description: Support for measurement units in R vectors, matrices
    and arrays: automatic propagation, conversion, derivation
    and simplification of units; raising errors in case of unit
    incompatibility. Compatible with the POSIXct, Date and difftime 
    classes. Uses the UNIDATA udunits library and unit database for 
    unit compatibility checking and conversion.
    Documentation about 'units' is provided in the paper by Pebesma, Mailund &
    Hiebert (2016, <doi:10.32614/RJ-2016-061>), included in this package as a
    vignette; see 'citation("units")' for details.
SystemRequirements: udunits-2
License: GPL-2
URL: https://r-quantities.github.io/units/,
        https://github.com/r-quantities/units
BugReports: https://github.com/r-quantities/units/issues
RoxygenNote: 7.3.2
Encoding: UTF-8
Config/testthat/edition: 3
NeedsCompilation: yes
Packaged: 2025-03-11 19:00:11 UTC; edzer
Author: Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
  Thomas Mailund [aut],
  Tomasz Kalinowski [aut],
  James Hiebert [ctb],
  Iñaki Ucar [aut] (<https://orcid.org/0000-0001-6403-5550>),
  Thomas Lin Pedersen [ctb]
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Repository: CRAN
Date/Publication: 2025-03-11 23:40:02 UTC

## r-cran-units 0.8-0+dfsg

=== debian/changelog ===
r-cran-units (0.8-0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 13 Feb 2022 16:21:18 +0100

r-cran-units (0.7-2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Mon, 16 Aug 2021 07:54:05 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-rcpp,
                libudunits2-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-units
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-units.git
 Homepage: https://cran.r-project.org/package=units

## r-cran-units 0.8-1+dfsg

=== debian/changelog ===
r-cran-units (0.8-1+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2022 17:12:04 +0100

## r-cran-units 0.8-2+dfsg

=== debian/changelog ===
r-cran-units (0.8-2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 14:51:44 +0200

## r-cran-units 0.8-5+dfsg

=== debian/changelog ===
r-cran-units (0.8-5+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 09:45:55 +0100

r-cran-units (0.8-4+dfsg-2) unstable; urgency=medium

  * Fix clean target
    Closes: #1047044

 -- Andreas Tille <tille@debian.org>  Fri, 27 Oct 2023 17:54:18 +0200

r-cran-units (0.8-4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 13 Oct 2023 15:18:06 +0200

r-cran-units (0.8-3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 22 Aug 2023 11:37:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-cran-units
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-units
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-units.git
+Homepage: https://cran.r-project.org/package=units
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
                libudunits2-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-units
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-units.git
-Homepage: https://cran.r-project.org/package=units
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-units
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-xml2,
        r-cran-magrittr,
        r-cran-pillar (>= 1.3.0),
        r-cran-dplyr (>= 1.0.0),
        r-cran-vctrs (>= 0.3.1),
        r-cran-ggplot2 (>= 3.2.1),
        r-cran-testthat (>= 3.0.0),
        r-cran-vdiffr,
        r-cran-knitr,
        r-cran-rmarkdown
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/units_([-\d.]*)\.tar\.gz

## r-cran-units 0.8-7%2Bdfsg

=== debian/changelog ===
r-cran-units (0.8-7+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Warn that this may be buggy on 32-bit systems
    and skip autopkgtest. (Closes: #1102591)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 29 Apr 2025 15:39:57 +0100

r-cran-units (0.8-7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Fri, 14 Mar 2025 11:26:05 +0900

r-cran-units (0.8-6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Mar 2025 08:47:07 +0900

## r-cran-units 0.8-7+dfsg

=== debian/changelog ===
r-cran-units (0.8-7+dfsg-1syncable1) plucky; urgency=medium

  * Mark run-unit-test as flaky on armhf due to builder differences.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 23 Mar 2025 19:07:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: r-cran-units
 Section: gnu-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-units
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-units.git
 Homepage: https://cran.r-project.org/package=units
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
--- 
+++ 
@@ -9,5 +9,23 @@
         r-cran-testthat (>= 3.0.0),
         r-cran-vdiffr,
         r-cran-knitr,
+        r-cran-rvest,
         r-cran-rmarkdown
 Restrictions: allow-stderr
+Architecture: !armhf
+
+Tests: run-unit-test
+Depends: @,
+         r-cran-xml2,
+        r-cran-magrittr,
+        r-cran-pillar (>= 1.3.0),
+        r-cran-dplyr (>= 1.0.0),
+        r-cran-vctrs (>= 0.3.1),
+        r-cran-ggplot2 (>= 3.2.1),
+        r-cran-testthat (>= 3.0.0),
+        r-cran-vdiffr,
+        r-cran-knitr,
+        r-cran-rvest,
+        r-cran-rmarkdown
+Restrictions: allow-stderr, flaky
+Architecture: armhf

## r-cran-units 1.0-0%2Bdfsg

=== debian/changelog ===
r-cran-units (1.0-0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 09 Jan 2026 12:04:36 +0900

## r-cran-units 1.0-0+dfsg

=== debian/control ===
Source: r-cran-units
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               libudunits2-dev,
               architecture-is-64-bit,
               architecture-is-little-endian
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-units
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-units.git
Homepage: https://cran.r-project.org/package=units
Rules-Requires-Root: no

Package: r-cran-units
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Measurement Units for R Vectors
 Support for measurement units in R vectors, matrices
 and arrays: automatic propagation, conversion, derivation
 and simplification of units; raising errors in case of unit
 incompatibility. Compatible with the POSIXct, Date and difftime
 classes. Uses the UNIDATA udunits library and unit database for
 unit compatibility checking and conversion.
